VisualEditor: jQuery bug in regex matching causes corruption of data-parsoid on ingest
Closed, ResolvedPublic

bzimport set Reference to bz47737.
Jdforrester-WMF created this task.Via LegacyApr 26 2013, 4:06 PM
Jdforrester-WMF added a comment.Via ConduitApr 26 2013, 4:08 PM
  • Bug 47712 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitApr 27 2013, 12:43 PM

Related URL: https://gerrit.wikimedia.org/r/61180 (Gerrit Change I3df8f49b170c31da9610129d53cf8cb65dd5d5f8)

Jdforrester-WMF added a comment.Via ConduitApr 27 2013, 9:12 PM

Ed's code is merged and will be going out with the regular deployment train on Monday.

Jdforrester-WMF added a comment.Via ConduitMay 3 2013, 1:37 AM
  • Bug 47860 has been marked as a duplicate of this bug. ***
liangent added a comment.Via ConduitMay 3 2013, 6:35 AM

(In reply to comment #0)

jQuery have WONTFIX'ed this bug (13821) so we'll have to work around.

Any link? http://bugs.jquery.com/report/13821 returns error.

Esanders added a comment.Via ConduitMay 3 2013, 10:33 AM

Another place we had to work around:
https://gerrit.wikimedia.org/r/#/c/62028/

Jdforrester-WMF added a comment.Via ConduitMay 3 2013, 3:32 PM

(In reply to comment #5)

(In reply to comment #0)
> jQuery have WONTFIX'ed this bug (13821) so we'll have to work around.

Any link? http://bugs.jquery.com/report/13821 returns error.

http://bugs.jquery.com/ticket/13821 (in the see also field).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.